﻿using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using System.Collections.Generic;

using notes.Core;

namespace notes.Android.Screens
{
    [Activity(Label = "notes.Android", MainLauncher = true, Icon = "@drawable/icon")]
    public class Activity1 : Activity
    {
        protected Adapters.NoteListAdapter noteList;
        protected IList<Note> notes;
        private ListView lvNotes = null;
        private Button button = null;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            // Get our button from the layout resource,
            // and attach an event to it
            button = FindViewById<Button>(Resource.Id.MyButton);
            lvNotes = FindViewById<ListView>(Resource.Id.listViewNotes);

            button.Text = GetString(Resource.String.AddNote);

            button.Click += delegate
            {
                StartActivity(typeof(EditNoteScreen));
            };

            lvNotes.ItemClick += (Object IntentSender, AdapterView.ItemClickEventArgs e) =>
            {
                var noteDetails = new Intent(this, typeof (EditNoteScreen));
                noteDetails.PutExtra("NoteID", notes[e.Position].NoteId);
                StartActivity(noteDetails);
            };
        }

        protected override void OnResume()
        {
            base.OnResume();

            notes = NoteManager.GetNotes();

            noteList = new Adapters.NoteListAdapter(this, notes);

            lvNotes.Adapter = noteList;
        }
    }
}

