using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Provider;
using Android.Runtime;
using Android.Views;
using Android.Widget;

using notes.Core;

namespace notes.Android.Screens
{
    [Activity(Label = "EditNoteScreen")]
    public class EditNoteScreen : Activity
    {
        private Note note = new Note();
        private Button SaveButton = null;
        private Button CancelButton = null;
        protected EditText teTitle = null;
        protected EditText teDate = null;
        protected EditText teText = null;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            int noteID = Intent.GetIntExtra("NoteID", 0);

            if (noteID > 0)
            {
                note = NoteManager.GetNote(noteID);
            }

            SetContentView(Resource.Layout.EditNote);

            teTitle = FindViewById<EditText>(Resource.Id.editNoteTitle);
            teDate = FindViewById<EditText>(Resource.Id.editNoteDate);
            teText = FindViewById<EditText>(Resource.Id.editNoteText);

            SaveButton = FindViewById<Button>(Resource.Id.editNoteSave);
            CancelButton = FindViewById<Button>(Resource.Id.editNoteCancel);

            if (teTitle != null)
            {
                teTitle.Text = note.NoteTitle;
                teDate.Text = note.NoteDate.ToShortDateString();
                teText.Text = note.NoteText;

                CancelButton.Text =
                    Resources.GetString((note.NoteId > 0 ? Resource.String.Delete : Resource.String.Cancel));
            }

            SaveButton.Click += delegate { Save(); };
            CancelButton.Click += delegate { CancelDelete(); };
        }

        protected void Save()
        {
            note.NoteTitle = teTitle.Text;
            note.NoteDate = DateTime.Parse(teDate.Text);
            note.NoteText = teText.Text;
            NoteManager.SaveNote(note);
            Finish();
        }

        protected void CancelDelete()
        {
            if (note.NoteId != 0)
            {
                NoteManager.DeleteNote(note.NoteId);
            }
            Finish();
        }

    }
}