using System;
using System.Drawing;

using MonoTouch.CoreFoundation;
using MonoTouch.Dialog;
using MonoTouch.UIKit;
using MonoTouch.Foundation;
using notes.Core;

namespace notes.iPhone
{
    [Register("UniversalView")]
    public class UniversalView : UIView
    {
        public UniversalView()
        {
            Initialize();
        }

        public UniversalView(RectangleF bounds)
            : base(bounds)
        {
            Initialize();
        }

        void Initialize()
        {
            BackgroundColor = UIColor.Red;
        }
    }

    [Register("DetailsPage")]
    public class DetailsPage : UIViewController
    {
        private UINavigationController nav;
        private UIToolbar toolbar;

        public DetailsPage()
        {
        }

        public override void DidReceiveMemoryWarning()
        {
            // Releases the view if it doesn't have a superview.
            base.DidReceiveMemoryWarning();

            // Release any cached data, images, etc that aren't in use.
        }

        private void SaveNote()
        {
            
        }

        public override void ViewDidLoad()
        {
            View = new UniversalView();

            base.ViewDidLoad();

            var mtdnote = new mtdNote(new Note());
            var bctx = new BindingContext(null, mtdnote, "EditNote".t());
            var dvc = new DialogViewController(bctx.Root);

            this.NavigationController.AddChildViewController(dvc);

            //nav = new UINavigationController(dvc);

            toolbar = new UIToolbar(new RectangleF(0, View.Frame.Height-44f, View.Frame.Width, 44f));
            var btnSave = new UIBarButtonItem(UIBarButtonSystemItem.Add, (sender, args) =>
            {
                SaveNote();
            });
            var btnDelete = new UIBarButtonItem(UIBarButtonSystemItem.Add, (sender, args) =>
            {
                SaveNote();
            });

            toolbar.SetItems(new UIBarButtonItem[]{btnSave}, true);
            Add(toolbar);


            this.NavigationItem.SetRightBarButtonItem(
                new UIBarButtonItem(UIBarButtonSystemItem.Save, (sender, args) =>
                {
                    var detailsPage = new DetailsPage();
                    this.NavigationController.PushViewController(detailsPage, true);
                }), true);

        }
    }
}